## edu.stanford.nlp.trees
Interface TreeReaderFactory

All Known Implementing Classes:
  CTBTreeReaderFactory, LabeledScoredTreeReaderFactory, PennTreeReaderFactory, SimpleTreeReaderFactory, TregexPattern.TRegexTreeReaderFactory

    public interface TreeReaderFactory

A `TreeReaderFactory` is a factory for creating objects of class `TreeReader`, or some descendent class.

Author:
  Christopher Manning

Method Summary
`TreeReader` `newTreeReader(Reader in)` Create a new `TreeReader` using the provided `Reader`.

Method Detail

### newTreeReader

    TreeReader newTreeReader(Reader in)

  Create a new `TreeReader` using the provided `Reader`.

  Parameters:
    `in` - The `Reader` to build on
  Returns:
    The new TreeReader

Stanford NLP Group